import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    constructor();
    protected get_sk(): IndicatorCalculationStrategy;
    protected get sk(): IndicatorCalculationStrategy;
    protected get_sx(): Type;
    protected get sx(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly s8: DependencyProperty;
    protected ss(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly s7: DependencyProperty;
    protected sp(): number;
    get signalPeriod(): number;
    set signalPeriod(a: number);
    static readonly s9: DependencyProperty;
    protected r0(): number;
}
